package co.yixiang.yshop.module.distributor.convert.distributoruser;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.distributor.controller.admin.distributoruser.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributoruser.DistributorUserDO;

/**
 * 分销商所属用户 Convert
 *
 * @author admin
 */
@Mapper
public interface DistributorUserConvert {

    DistributorUserConvert INSTANCE = Mappers.getMapper(DistributorUserConvert.class);

    DistributorUserDO convert(DistributorUserCreateReqVO bean);

    DistributorUserDO convert(DistributorUserUpdateReqVO bean);

    DistributorUserRespVO convert(DistributorUserDO bean);

    List<DistributorUserRespVO> convertList(List<DistributorUserDO> list);

    PageResult<DistributorUserRespVO> convertPage(PageResult<DistributorUserDO> page);

    List<DistributorUserExcelVO> convertList02(List<DistributorUserDO> list);

}
